<template>
	<div>
		<a-modal
			v-model:visible="visible"
			width="50%"
			:closable="false"
			:maskClosable="false"
			:title="titleText"
			:footer="null"
		>
			<a-form ref="formRef" :model="formState" :rules="rules" :label-col="labelCol" :wrapper-col="wrapperCol">
				<div class="text-box">
					<a-form-item label="预警名称" name="yjmc">
						<a-input class="title-box" autocomplete="off" :disabled="showLock" v-model:value="formState.yjmc" />
					</a-form-item>
					<a-form-item label="1-15日报表预警时间" name="dyy">
						<a-input class="title-box" autocomplete="off" :disabled="showLock" v-model:value="formState.dyy" />
					</a-form-item>
					<a-form-item label="16-31日报表预警时间" name="dey">
						<a-input class="title-box" autocomplete="off" :disabled="showLock" v-model:value="formState.dey" />
					</a-form-item>
				</div>
			</a-form>
			<div class="btn-box">
				<a-button v-if="dataObj.isType !== '3'" style="margin-right: 16px" type="primary" @click="handleOk"
					>保存</a-button
				>
				<a-button @click="handleCancel">关闭</a-button>
			</div>
		</a-modal>
	</div>
</template>
<script setup>
	// import { isSocialCreditOrIdCode } from '@/utils/validator'
	// import gloabl from '@/api/basic.info/global'
	const props = defineProps({
		dataObj: {
			type: Object,
			default: () => {}
		}
	})
	const formState = ref({
		yjmc: '',
		dyy: '',
		dey: ''
	})
	const rules = ref({
		yjmc: [{ required: true, message: '请输入预警名称', trigger: 'blur' }],
		dyy: [{ required: true, message: '请输入第一月百分值', trigger: 'blur' }],
		dey: [{ required: true, message: '请输入第二月百分值', trigger: 'blur' }]
	})
	const isTypeData = ref('')
	const showLock = ref(false)
	const visible = ref(false)
	const titleText = ref('')
	const formRef = ref(null)
	const emit = defineEmits(['isVisible'])
	// 取消按钮
	const handleCancel = () => {
		visible.value = false
		emit('isVisible', false)
		formRef.value.resetFields() //resetFields()函数是组件库提供的
		formState.value = {}
	}
	// 确定按钮
	const handleOk = () => {
		formRef.value
			.validate()
			.then(() => {
				// isTypeData === '1' 新增  2是编辑 3是查看
				if (isTypeData.value === '1') return addData()
				if (isTypeData.value === '2') return editData()
				visible.value = false
				emit('isVisible', false)
				formRef.value.resetFields() //resetFields()函数是组件库提供的
				formState.value = {}
			})
			.catch((error) => {
				message.warning('请填写完善')
				console.log('error', error)
			})
	}
	// 新增
	const addData = () => {}
	// 编辑
	const editData = () => {}
	// 用于查看调用
	const detailData = (id) => {}
	// 监听点击事件更新数据
	watch(
		() => props.dataObj,
		async (newValue, oldvalue) => {
			await nextTick()
			titleText.value = newValue.titleText
			visible.value = newValue.visible
			showLock.value = newValue.showLock
			isTypeData.value = newValue.isType
			// isType字段用于查看接口
			if (newValue.isType == '2' || newValue.isType == '3') {
				detailData(newValue.id)
			} else {
				// 用于新增时清空表格数据
				formState.value = {}
			}
		},
		{ deep: true, immediate: true }
	)
</script>
<style lang="less" scoped>
	.ant-input {
		width: 80%;
	}
	/* 针对 a-form-item 的 label 应用样式 */
	::v-deep .ant-form-item-label {
		width: 160px;
		text-align: right;
	}
	::v-deep .ant-form-item-control-input {
		width: 100%;
	}
	.title-box {
		width: 100%;
	}
	.ant-picker {
		width: 92%;
	}
	.ant-select {
		width: 80% !important;
	}
	.from-input {
		width: 101.4%;
	}
	::v-deep.ant-modal-footer {
		display: none !important;
	}
	.text-box {
		margin: 0 auto;
		width: 60%;
	}
	.btn-box {
		text-align: center;
	}
	.btn-type {
		background-color: #22ce8d;
		color: #fff;
	}
</style>
